gnutls_openpgp_key_check_hostname(3)

NAME
gnutls_openpgp_key_check_hostname - This function compares the given hostname with the hostname in the key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_key_check_hostname(gnutls_openpgp_key_t key, const char * hostname);

ARGUMENTS

gnutls_openpgp_key_t key
    should contain an gnutls_openpgp_key_t structure

const char * hostname
    A null terminated string that contains a DNS name

DESCRIPTION
This function will check if the given key's owner matches the given hostname. This is a basic implementation of the matching described in RFC2818 (HTTPS), which takes into account wildcards. Returns non zero on success, and zero on failure.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.